Subject: Re: Multiple actions in Sieve script.

From: Alexey Melnikov <[email-masked]>
Date: Wed, 27 Jan 1999 02:28:39 +0300

Tim Showalter wrote:

> > > I do agree that the rule needs to be that the default is only taken when no
> > > other action of any sort, not just ones on a short list, has been.
> >
> > So if a script only does a reply, is the message kept or discarded?
> > Neither is specified, so one has to be the default action.
>
> Reply is not in draft 06, 05, or 04, because in LA, it was decided that
> reply was dangerous without some sort of vacation-style protection
> (limit number of replies in a single time period).
>
> However, "no other action of any sort" would imply that it is discarded.
>
> (I wouldn't mind having a vacation command that also implied a keep, but
> that's not what we're talking about here.)
>
> > What's wrong with saying that some actions affect delivery status,
> > and other actions don't?
>
> If you're having these things in a UI, it doesn't matter what we say, we
> can (we have to) assume the UI will just get it right.
>
> But for the people designing the UI, and the people implementing scripts
> using a text editor, the fewer special cases, the better.
>
> It is much easier to explain this:
>   "A message that generates no actions gets filed into your INBOX."
>
> than this:
>   "A message that generates no delivery actions gets filed into your
>   INBOX.  Delivery actions are ones which change the disposition of the
>   message, and they are reject, forward, and fileinto."

I agree in general, but IMHO standards are written for people who are
supposed to
read them.
It is not a big deal to add few additional checkbox or whatever.

--
Best Regards,
Alexey Melnikov
+----------------------------------------------------+
|SMTP/POP3/IMAP4/ACAP  | Epsylon Technologies, Russia|
|servers creation team |     http://www.taxxi.com    |
|----------------------------------------------------|
|Imap Development Kit (my own product)               |
|http://194.87.43.111/homerus/mail/idk/index.htm     |
|----------------------------------------------------|
|Fax (in San Diego, California): 1 (619) 8393837     |
+----------------------------------------------------+